Get Adjusted Balances
/adjustBalance
Request
-
@type: string
The type of object to return. Use @type=AdjustBalance for a base object, or @type=AdjustBalanceOracle for an extended object.
-
billStructure.id: string
Retrieves adjustments for bill structure with the specified ID.Examples
-
billingCycleSpecification.id: string
Retrieves adjustments for the billing cycle specification with the specified ID.Examples
-
fields: string
The list of comma-separated fields to return in the response.Examples
-
id: string
Retrieves the adjustment with the specified adjustment ID or adjustment number.Examples
-
limit: integer
The maximum number of results to return.Examples
-
offset: integer
The number of results to offset the response by.Examples
-
partyAccount.id: string
Retrieves the adjustments for the account with the specified account ID or account external ID.Examples
-
partyAccount.number: string
Retrieves the adjustments for the account with the specified account number.Examples
-
requestedDate: string
Retrieves the adjustments with a requestedDate that matches the specified date and time.Examples
-
requestedDate.gt: string
Retrieves the adjustments with a requestedDate that is greater than the specified date and time.Examples
-
requestedDate.gte: string
Retrieves the adjustments with a requestedDate that is greater than or equal to the specified date and time.Examples
-
requestedDate.lt: string
Retrieves the adjustments with a requestedDate that is less than the specified date and time.Examples
-
requestedDate.lte: string
Retrieves the adjustments with a requestedDate that is less than or equal to the specified date and time.Examples
-
status: string
Retrieves the adjustment with the specified item status. Use status=completed to retrieve closed currency balance adjustments or status=created to retrieve open currency balance adjustments.
-
usageType: string
Retrieves adjustments that match the specified usage type. Use usageType=monetary to retrieve currency balance adjustments. Use usageType=other to retrieve non-currency balance adjustments.
If usageType is not specified, only currency balance adjustments are retrieved.
There's no request body for this operation.
Back to TopResponse
- application/json;charset=utf-8
200 Response
-
X-Result-Count:
The number of items returned in the response body.
-
X-Total-Count:
The total number of items that matched the criteria.
array-
Array of:
object Adjust Balance
Title:
Adjust BalanceAn adjustment to a balance.
objectAdjust Balance-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. (BRM does not use this property). -
@type: string
Title:
TypeThe object's subclass. -
actionType: string
Title:
Action TypeThe type of adjustment action. -
adjustmentNo: string
Title:
Adjustment NumberThe adjustment number associated with this adjustment. -
adjustType: string
The adjustment type. (BRM does not use this property).
-
amount: object
Quantity
Represents an amount in a specified unit.
-
bieId: array
bieId
The bills, items, or events are associated with the adjustment.
-
billingCycleSpecification: object
Billing Cycle Specification Ref Oracle
Title:
Billing Cycle Specification Ref OracleA reference to a billing cycle specification, extended for BRM REST Services Manager. -
billStructure: object
Bill Structure Ref
Title:
Bill Structure RefA reference to a bill structure, extended for BRM REST Services Manager. -
bucket: object
Bucket Ref
Title:
Bucket RefA reference to a bucket. -
channel: object
ChannelRef
A reference to a channel.
-
confirmationDate: string
(date-time)
Title:
Confirmation DateThe date that the adjustment was confirmed. -
description: string
Title:
Adjust Balance DescriptionThe adjusted balance's description. -
href: string
(uri)
Title:
Adjust Balance HrefThe adjusted balance's href. (BRM does not use this property). -
id: string
Title:
Adjust Balance IDThe adjusted balance's ID. -
impactedBucket: array
impactedBucket
The buckets are impacted by the adjustment. itself.
-
logicalResource: object
Logical Resource Ref
Title:
Logical Resource RefA reference to a logical resource. -
partyAccount: object
Party Account Ref
Title:
Party Account RefA reference to a party account. -
product: object
ProductRef
A product reference.
-
reason:
Title:
ReasonThe reason for the adjustment. - relatedParty: array relatedParty
-
requestedDate: string
(date-time)
Title:
Requested DateThe date and time that the request was received. -
requestor: object
Related Party
Title:
Related PartyA party related to another object. -
status: string
The adjustment's status.
-
taxTreatment: string
The tax treatment for the adjustment.
-
usageType: string
The usage type associated with the adjusted balance.
object-
amount: number
(double)
Default Value:
1The numeric value in the specified unit. -
units: string
The unit.
array-
Array of:
object BIEField Oracle
Title:
BIEField OracleA bill, item, or event, extended for BRM REST Services Manager.
objectBilling Cycle Specification Ref Oracle-
href: string
Title:
HrefThe billing cycle specification's href. -
id: string
Title:
IDThe billing cycle specification's ID. -
name: string
Title:
NameThe billing cycle specification's name.
objectBill Structure Ref-
href: string
Title:
HrefThe bill structure's href. -
id: string
Title:
IDThe bill structure's ID. -
name: string
Title:
NameThe bill structure's name.
objectBucket Ref-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
(uri)
The bucket's href.
-
id(required): string
Title:
Bucket IDThe bucket's ID. -
name: string
Title:
Bucket NameThe bucket's name. -
usageType: string
The bucket's usage type.
object-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Channel HrefThe channel's href. -
id(required): string
Title:
Channel IDThe channel's ID. -
name: string
Title:
Channel NameThe channel's name.
array-
Array of:
object ImpactedBucket
A bucket impacted by a balance top-up, adjustment, transfer, or reservation.
objectLogical Resource Ref-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
HrefThe resource's href. -
id(required): string
Title:
IDThe resource's ID. -
name: string
Title:
NameThe resource's name. -
value: string
The device number(PIN_FLD_ALIAS_LIST) or the login (PIN_FLD_LOGIN).
objectParty Account Ref-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
description: string
Title:
DescriptionThe party account's description. -
href: string
Title:
HrefThe party account's href. -
id(required): string
Title:
Account IDThe party account's ID. -
name: string
Title:
NameThe party account's name. -
status: string
Title:
StatusThe overall status of the account. For example: due, paid, or in arrears.
object-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
objectRelated Party-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType(required): string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
(uri)
Title:
HrefThe party's href. -
id(required): string
Title:
Party IDThe party's ID. -
name: string
Title:
Party NameThe party's name. -
role: string
Title:
Party RoleThe party's role.
objectBIEField Oracle-
href: string
Title:
HrefThe bill, item, or event href. -
id(required): string
Title:
IDThe bill, item, or event ID.
object-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
amountAfter: object
Quantity
Represents an amount in a specified unit.
-
amountBefore: object
Quantity
Represents an amount in a specified unit.
-
bucket: object
Bucket Ref
Title:
Bucket RefA reference to a bucket. -
confirmationDate: string
(date-time)
The date and time the impact was confirmed.
-
description: string
The impacted bucket's description.
-
item(required): array
item
Minimum Number of Items:
1The impacted bucket items. -
name: string
The impacted bucket's name.
-
requestedDate: string
(date-time)
The date and time the request was received.
array1-
Array of:
object ImpactedBucketItem
An impact item that affects an ImpactedBucket object.
object-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
amount: object
Quantity
Represents an amount in a specified unit.
-
description: string
The impact item's description.
-
itemType: string
The impact item's type, indicating if the bucket is incremented (credit) or decremented (debit).
-
name: string
The impact item's name indicates the transaction activity, such as a top-up or bonus. additional bonus, tax, or fees.
-
reason: string
The reason for the impact item.
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
href: string
The hyperlink reference.
-
id: string
The ID.
object-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
400 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following examples shows how to get balance adjustments by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
Request Body
This request uses the usageType=monetary query parameter to return only currency adjustments:
curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/adjustBalance?limit=2&usageType=monetary'
This request uses the usageType=other query parameter to return only noncurrency adjustments:
curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/adjustBalance?limit=1&usageType=other'
Example of the Response Body for Currency Adjustments
The following example shows the contents of the response body for currency adjustments in JSON format.
[
{
"id": "0.0.0.1+-item-adjustment+221139",
"href": "http://host:port/brm/prepayBalanceManagement/version/adjustBalance/0.0.0.1+-item-adjustment+221139",
"confirmationDate": "2025-01-08T07:35:58-08:00",
"description": "",
"reason": "1",
"requestedDate": "2025-01-08T07:35:58-08:00",
"adjustType": null,
"amount": {
"amount": -1.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": null,
"channel": null,
"logicalResource": null,
"partyAccount": {
"id": "0.0.0.1+-account+228862",
"href": null,
"description": null,
"name": "Daniel R",
"status": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"product": null,
"relatedParty": null,
"requestor": {
"id": null,
"href": null,
"name": "Billing Care",
"role": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"status": "COMPLETED",
"usageType": "MONETARY",
"validFor": null,
"@baseType": "AdjustBalance",
"@schemaLocation": null,
"@type": "AdjustBalance"
},
{
"id": "0.0.0.1+-item-adjustment+220881",
"href": "http://host:port/brm/prepayBalanceManagement/version/adjustBalance/0.0.0.1+-item-adjustment+220881",
"confirmationDate": "2025-01-08T07:34:40-08:00",
"description": "",
"reason": "1",
"requestedDate": "2025-01-08T07:34:40-08:00",
"adjustType": null,
"amount": {
"amount": -3.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": null,
"channel": null,
"logicalResource": null,
"partyAccount": {
"id": "0.0.0.1+-account+228862",
"href": null,
"description": null,
"name": "Danielle Rao",
"status": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"product": null,
"relatedParty": null,
"requestor": {
"id": null,
"href": null,
"name": "Billing Care",
"role": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"status": "COMPLETED",
"usageType": "MONETARY",
"validFor": null,
"@baseType": "AdjustBalance",
"@schemaLocation": null,
"@type": "AdjustBalance"
}
]
Example of the Response Body for Noncurrency Adjustments
The following example shows the contents of the response body for noncurrency adjustments in JSON format.
[
{
"id": "0.0.0.1+-item-adjustment+221139",
"href": "http://host:port/brm/prepayBalanceManagement/version/adjustBalance/0.0.0.1+-item-adjustment+221139",
"confirmationDate": "2025-01-08T07:35:58-08:00",
"description": "",
"reason": "1",
"requestedDate": "2025-01-08T07:35:58-08:00",
"adjustType": null,
"amount": {
"amount": -1.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": null,
"channel": null,
"logicalResource": null,
"partyAccount": {
"id": "0.0.0.1+-account+228862",
"href": null,
"description": null,
"name": "Daniel R",
"status": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"product": null,
"relatedParty": null,
"requestor": {
"id": null,
"href": null,
"name": "Billing Care",
"role": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"status": "COMPLETED",
"usageType": "MONETARY",
"validFor": null,
"@baseType": "AdjustBalance",
"@schemaLocation": null,
"@type": "AdjustBalance"
},
{
"id": "0.0.0.1+-item-adjustment+220881",
"href": "http://host:port/brm/prepayBalanceManagement/version/adjustBalance/0.0.0.1+-item-adjustment+220881",
"confirmationDate": "2025-01-08T07:34:40-08:00",
"description": "",
"reason": "1",
"requestedDate": "2025-01-08T07:34:40-08:00",
"adjustType": null,
"amount": {
"amount": -3.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": null,
"channel": null,
"logicalResource": null,
"partyAccount": {
"id": "0.0.0.1+-account+228862",
"href": null,
"description": null,
"name": "Danielle Rao",
"status": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"product": null,
"relatedParty": null,
"requestor": {
"id": null,
"href": null,
"name": "Billing Care",
"role": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"status": "COMPLETED",
"usageType": "MONETARY",
"validFor": null,
"@baseType": "AdjustBalance",
"@schemaLocation": null,
"@type": "AdjustBalance"
}
]
List balance adjustments with integrated attributes
The following example lists balance adjustments using the AdjustBalance type. The response includes billingCycleSpecification, adjustmentNo, and taxTreatment as out-of-the-box attributes.
curl -X GET 'http://host:port/brm/prepayBalanceManagement/v4/adjustBalance?@type=AdjustBalance'
where:
- host is the URL for the REST server.
- port is the port for the REST server.
Example of Response Body
[
{
"@baseType": "AdjustBalance",
"@schemaLocation": "",
"@type": "AdjustBalance",
"adjustType": "",
"amount": {
"amount": 1.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": {
"id": "0.0.0.1+-balance_group+1402576+840+0",
"href": "https://localhost:8080/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+1402576+840+0",
"name": null,
"@baseType": "Bucket",
"@schemaLocation": null,
"@type": "Bucket",
"@referredType": null
},
"billingCycleSpecification": {
"id": "0.0.0.1+-billinfo+1406847",
"href": "https://localhost:8080/brm/accountManagement/v4/billingCycleSpecification/0.0.0.1+-billinfo+1406847",
"name": "Bill Unit(1)"
},
"adjustmentNo": "A1-3",
"channel": {
"id": null,
"href": null,
"name": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"confirmationDate": "2025-07-29T15:30:38+05:30",
"description": "",
"href": "https://localhost:8080/brm/prepayBalanceManagement/v4/adjustBalance/0.0.0.1+-item-adjustment+1433961",
"id": "0.0.0.1+-item-adjustment+1433961",
"impactedBucket": [
{
"@baseType": "ImpactedBucket",
"@schemaLocation": null,
"@type": "ImpactedBucket",
"amountAfter": null,
"amountBefore": null,
"bucket": {
"id": "0.0.0.1+-balance_group+1402576+840+0",
"href": "https://localhost:8080/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+1402576+840+0",
"name": null,
"@baseType": "Bucket",
"@schemaLocation": null,
"@type": "Bucket",
"@referredType": null
},
"confirmationDate": null,
"description": null,
"item": [],
"name": null,
"requestedDate": null
}
],
"logicalResource": {
"@baseType": null,
"@referredType": null,
"@schemaLocation": null,
"@type": null,
"href": null,
"id": null,
"name": null,
"value": null
},
"partyAccount": {
"id": "0.0.0.1+-account+1404752",
"href": null,
"description": null,
"name": "Child acct1",
"status": "active",
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"product": {
"id": null,
"href": null,
"name": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"reason": "1",
"relatedParty": [],
"requestedDate": "2025-07-29T15:30:38+05:30",
"taxTreatment": "TaxExcluded",
"requestor": {
"@baseType": null,
"@referredType": null,
"@schemaLocation": null,
"@type": null,
"href": null,
"id": null,
"name": "Billing Care",
"role": null
},
"status": "CREATED",
"usageType": "MONETARY"
}
]